Draft BezCurve/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "400px ==Použití==")
(Created page with "==Použití== # Stiskněte tlačítko {{KEY|16px Bezierova křivka}} nebo klávesy {{KEY|B}} potom {{KEY|Z}} # Klikněte na prv...")
Line 8: Line 8:
==Použití==
==Použití==


==Použití==
# Press the {{KEY|[[Image:Draft_BezCurve.png|16px]] [[Draft BezCurve]]}} button, or press {{KEY|B}} then {{KEY|Z}} keys.
# Stiskněte tlačítko {{KEY|[[Image:Draft_BezCurve.png|16px]] [[Draft BezCurve|Bezierova křivka]]}} nebo klávesy {{KEY|B}} potom {{KEY|Z}}
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click additional point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Klikněte na první bod ve 3D pohledu nebo zadejte jeho [[Draft_Coordinates|souřadnice]]
# Klikněte na další bod ve 3D pohledu nebo zadejte jeho [[Draft_Coordinates|souřadnice]]
# Press {{KEY|F}} or {{KEY|C}}, or double-click the last point, or click on the first point to finish and close the spline.
# Stiskněte klávesu {{KEY|F}} nebo {{KEY|C}} nebo dvojklikněte na poslední bod pro ukončení nebo na počáteční bod pro uzavření křivky.
==Options==
==Volby==


* Press {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the spline, leaving it open
* Press {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the spline, leaving it open

Revision as of 15:12, 13 February 2014

Draft_BezCurve

Menu location
Draft -> BezCurve
Workbenches
Draft
Default shortcut
B Z
Introduced in version
-
See also
None

Popis

Nástroj Bezierovy křivky vytváří Bezierovy křivky (nebo Bezierovy křivky po částech) z několika bodů v aktuální pracovní rovině. Přebírá tloušťku čáry a barvu předem nastavenou v záložce Nástroje.

Použití

Použití

  1. Stiskněte tlačítko Bezierova křivka nebo klávesy B potom Z
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo na počáteční bod pro uzavření křivky.

Volby

  • Press F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current BezCurve command.

Properties

  • ÚdajeClosed: Specifies if the Bezier Curve is closed or not
  • ÚdajeDegree: Specifies the degree of the Bezier Curve (or segments)

Scripting

The BezCurve tool can by used in macros and from the python console by using the following function:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Create a Bezier Curve object from the given list of vectors. Instead of a pointslist, you can also pass a Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Limitations

  • This tool is not yet generally available. It will be included in a future version. (post v0.13)
  • The Points Property does not yet appear in the properties list.